/* Basic Styling */
body {
    margin: 0;
}

h1 {
    font-size: 50px;
    text-transform: uppercase;
}

h2 {
    text-decoration: underline;
}

p {
    font-family: "Raleway", sans-serif;
    font-weight: 100p;
    font-style: normal;
    font-size: 15px;
}

.button {
    text-align: center;
    width: 150px;
    padding: 10px;
    background-color: #f6e052;
    color: #28363f;
    border: solid #4b63a1;
    border-radius: 10px;
    font-family: "Raleway", sans-serif;
    font-weight: bold;
    font-style: italic;
    font-size: 15px;
    text-decoration: none;
    transition:
        transform 0.3s ease,
        box-shadow 0.3s ease;
}

.button:hover {
    transform: translateY(-2px);
    box-shadow: 0 12px 28px rgba(0, 0, 0, 0.7);
    background-color: #c7b544;
}

footer {
    background-color: #28363f;
    color: white;
    padding: 10px;
}

/* Navigation Bar Styling */

nav {
    background-color: #31477f;
    padding: 0 40px;
    border-bottom: solid #c7c7c7;
    outline: solid #f6e052;
    position: sticky;
    top: 0;
    z-index: 1000;
    display: flex;
    align-items: stretch;
}

nav ul {
    list-style: none;
    display: flex;
    gap: 20px;
    margin: 0;
    padding: 0;
    flex: 1;
    justify-content: flex-end;
    align-items: stretch;
}

nav ul li a {
    text-decoration: none;
    color: white;
    font-weight: bold;
    display: flex;
    border-left: solid #c7c7c7;
    border-right: solid #c7c7c7;
    padding: 0 20px;
    text-align: center;
    align-items: center;
    height: 100%;
    transition:
        color 0.3s ease,
        background-color 0.3s ease;
}

nav ul li a:hover {
    color: #c7c7c7;
    background-color: #28363f;
}

nav .logo {
    margin-right: auto;
    padding: 0 20px;
    color: white;
    font-weight: bold;
    font-size: 30px;
}

/* Imported Fonts */

.federo {
    font-family: "Federo", sans-serif;
    font-weight: 2000;
    font-style: normal;
}

.raleway {
    font-family: "Raleway", sans-serif;
    font-optical-sizing: auto;
    font-weight: 200p;
    font-style: normal;
}

.oswald {
    font-family: "Oswald", sans-serif;
    font-optical-sizing: auto;
    font-weight: 700;
    font-style: normal;
}

/* Header Styling */

header {
    background-image: url("background.jpg");
    background-size: cover;
    background-position: center;
    height: 400px;
    width: 100%;
    justify-content: center;
    align-content: center;
    display: flex;
}

#title {
    background-color: #00000099;
    color: lightgray;
    padding: 20px;
    width: 30%;
    margin: 50px;
    text-align: center;
    align-content: center;
    border-radius: 5px;
}

/* Info Boxes Styling */

#box_containers {
    display: flex;
    flex-direction: row;
    gap: 10px;
    width: 100%;
    border-top: solid lightgrey;
    padding-top: 20px;
    padding-bottom: 20px;
    background: linear-gradient(0deg, #c5d3dc, #4b63a1);
}

#box_con {
    display: flex;
    flex-direction: row;
    gap: 10px;
    width: 100%;
    border-top: solid lightgrey;
    padding-top: 20px;
    padding-bottom: 20px;
}

.box_row {
    flex-direction: row !important;
    display: flex !important;
    gap: 20px !important;
    img {
        height: 100% !important;
    }
}

.img_box {
    flex-direction: row !important;
    justify-content: space-between;
}

.twobox {
    display: flex;
    flex-direction: column !important;
    background: linear-gradient(0deg, #c5d3dc, #4b63a1);
}

.box {
    flex: 1;
    display: flex;
    flex-direction: column;
    border-radius: 5px;
    padding: 15px;
    background-color: #28363f;
    margin: 10px;
    h2 {
        color: white;
    }
    p {
        color: #c7c7c7;
    }
    img {
        height: 300px;
        width: 420px;
        object-fit: cover;
        border-radius: 5px;
        border: solid #c7c7c7;
    }
    box-shadow: 0 4px 16px rgba(0, 0, 0, 0.6);
    transition:
        transform 0.3s ease,
        box-shadow 0.3s ease;
}

.box:hover {
    transform: translateY(-6px);
    box-shadow: 0 4px 16px rgba(0, 0, 0, 0.6);
    transition:
        transform 0.3s ease,
        box-shadow 0.3s ease;
}

.info {
    flex-direction: row;
}

/* Table Styling */

td {
    border: solid #c7c7c7;
    border-radius: 5px;
    font-family: "Raleway", sans-serif;
    font-style: normal;
    font-size: 15px;
    padding: 16px 18px;
    color: #c7c7c7;
}

table td:nth-child(odd) {
    background-color: #00000080;
}

tr:hover {
    background-color: #4b63a1;
}

.table_content {
    width: 30%;
    border-collapse: collapse;
    background-color: #28363f;
    border-radius: 5px;
    overflow: hidden;
    box-shadow: 0 4px 16px rgba(0, 0, 0, 0.6);
    margin: 10px;
    padding: 10px;
    transition:
        transform 0.3s ease,
        box-shadow 0.3s ease;
    stat {
        color: white;
        font-weight: 600;
        text-align: center;
    }
}

.table_content:hover {
    transform: translateY(-6px);
    box-shadow: 0 4px 16px rgba(0, 0, 0, 0.6);
    transition:
        transform 0.3s ease,
        box-shadow 0.3s ease;
}

.table_heading {
    text-align: center;
    color: white;
}

table {
    border-collapse: separate;
    border-spacing: 10px;
}


/* Background Header Images */

.basketball {
    background-image: url("images/basketball image/basketball-balls-sport-play-games-wallpaper-preview.jpg");
}

.tennis {
    background-image: url("images/tennis image/tennis_background.jpg");
}

.football {
    background-image: url("images/football image/football w grass.JPG");
}